TransparencyDisallowedException (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.pdf

## Class TransparencyDisallowedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.fop.pdf.PDFConformanceException
        - - org.apache.fop.pdf.TransparencyDisallowedException

- All Implemented Interfaces:
    Serializable

      public class TransparencyDisallowedException
      extends PDFConformanceException

  The PDF profile being used does not allow transparency.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransparencyDisallowedException(Object profile, String context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContext()` Returns context information to help spotting the problem.
    `Object` | `getProfile()` Returns the profile that is being used and disallows transparency.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransparencyDisallowedException

          public TransparencyDisallowedException(Object profile,
                                                 String context)

  - ### Method Detail

    - #### getProfile

          public Object getProfile()

      Returns the profile that is being used and disallows transparency.
      See Also:
        `PDFAMode`, `PDFXMode`

    - #### getContext

          public String getContext()

      Returns context information to help spotting the problem.

Copyright © 2025 Apache Software Foundation. All rights reserved.